summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-07-31 13:36:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-31 13:36:30 +0700
commite28cbb20674543b34042bc79ab0c1a8b3498ddde (patch)
treef5be431912f4abbb47e865ab56c2f549865a072b /desktop
parentae9aa4cf5369cce5a42fabccb7210f330c2b6d28 (diff)
downloadslackbuilds-e28cbb20674543b34042bc79ab0c1a8b3498ddde.tar.gz
slackbuilds-e28cbb20674543b34042bc79ab0c1a8b3498ddde.tar.xz
desktop/imgurbash: Added (bash script uploader).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/imgurbash/README9
-rw-r--r--desktop/imgurbash/imgurbash.SlackBuild66
-rw-r--r--desktop/imgurbash/imgurbash.info10
-rw-r--r--desktop/imgurbash/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/desktop/imgurbash/README b/desktop/imgurbash/README
new file mode 100644
index 0000000000..f969c341b3
--- /dev/null
+++ b/desktop/imgurbash/README
@@ -0,0 +1,9 @@
+imgurbash (bash script uploader)
+
+imgurbash (Bart's Bash Script Uploader) is a simple bash script to upload an image
+to imgur from the commandline.
+
+Run "imgur path-to-your-image" to upload, print the new URL to stdout, print the delete
+page URL to stderr and put URL on the X clipboard for easy pasting.
+
+Optional dependencies: xsel or xclip
diff --git a/desktop/imgurbash/imgurbash.SlackBuild b/desktop/imgurbash/imgurbash.SlackBuild
new file mode 100644
index 0000000000..b51bda6fa8
--- /dev/null
+++ b/desktop/imgurbash/imgurbash.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+#
+# Slackware build script for imgurbash.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=imgurbash
+VERSION=${VERSION:-4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+mv $CWD/imgurbash.sh $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -d $PKG/usr/bin
+install -D -m755 imgurbash.sh $PKG/usr/bin/imgurbash.sh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/imgurbash/imgurbash.info b/desktop/imgurbash/imgurbash.info
new file mode 100644
index 0000000000..ca8c297fe3
--- /dev/null
+++ b/desktop/imgurbash/imgurbash.info
@@ -0,0 +1,10 @@
+PRGNAM="imgurbash"
+VERSION="4.0"
+HOMEPAGE="http://imgur.com/tools"
+DOWNLOAD="http://imgur.com/tools/imgurbash.sh"
+MD5SUM="c5fd5a619959b4e31ba815c8a772f8bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/imgurbash/slack-desc b/desktop/imgurbash/slack-desc
new file mode 100644
index 0000000000..7230e4f0dc
--- /dev/null
+++ b/desktop/imgurbash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler----------------------------------------------------|
+imgurbash: imgurbash (bash script uploader)
+imgurbash:
+imgurbash: imgurbash is a simple bash script to upload an image to imgur from
+imgurbash: the commandline.
+imgurbash:
+imgurbash: Home page: http://imgur.com/tools
+imgurbash:
+imgurbash:
+imgurbash:
+imgurbash:
+imgurbash: